petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCreateMedFromFile

Create a DMPlex mesh from a (Salome-)Med file.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateMedFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

| comm | - The MPI communicator
| filename | - Name of the .med file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: https://www.salome-platform.org/user-section/about/med, http://docs.salome-platform.org/latest/MED_index.html

### See Also

DMPlexCreateFromFile(), DMPlexCreateGmsh(), DMPlexCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexmed.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages